Package htsjdk.samtools

# Interface CRAMIndexer

All Known Implementing Classes:
  `CRAMBAIIndexer`, `CRAMCRAIIndexer`

public interface CRAMIndexer
Interface for indexing CRAM.

## Method Summary

Modifier and Type
Method
Description
`void`
`finish()`
Finish creating the index by writing the accumulated entries out.
`void`
`processContainer(Container container, ValidationStringency validationStringency)`
Create index entries for a single container.

## Method Details

### processContainer

void processContainer(Container container, ValidationStringency validationStringency)
Create index entries for a single container.

Parameters:
  `container` - the container to index
  `validationStringency` - stringency for validating records (used when processing multi-reference slices, since creating an index on a multi-ref slices requires actually decoding the records in order to resove the constituent reference spans}

### finish

void finish()
Finish creating the index by writing the accumulated entries out.